SitesSiteidCitation audits

Run a new citation audit for a page

POST
/sites/{siteId}/citation-audits

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

siteId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/citation-audits" \  -H "Content-Type: application/json" \  -d '{    "pageUrl": "http://example.com"  }'
{
  "audit": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "siteId": "60189e9c-7d12-438c-b9ca-6998d9c364b1",
    "pageUrl": "http://example.com",
    "status": "succeeded",
    "score": 0,
    "tier": "poor",
    "fetchedAt": "string",
    "fetchMs": -9007199254740991,
    "browserMsUsed": -9007199254740991,
    "trigger": "manual",
    "errorReason": "string",
    "errorMessage": "string",
    "results": {
      "score": 0,
      "tier": "poor",
      "pageTitle": "string",
      "checks": [
        {
          "id": "string",
          "passed": true,
          "score": 0,
          "weight": 0,
          "evidence": [
            "string"
          ],
          "recommendation": "string"
        }
      ],
      "metadata": {
        "parseMs": 0
      }
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}

On this page